@echo off
rem
rem  Sets up the Allegro package for building with RSXNT, generating the
rem  makefile.inc stub and converting text files from LF to CR/LF format.
rem

echo Converting Allegro files to Windows (RSXNT) format...

echo # generated by fixrsxnt.bat > makefile.inc
echo include makefile.rsx >> makefile.inc

cd include\allegro
echo /* generated by fixrsxnt.bat */ > rsxdll.h
sed -n -e "s/AL_VAR(.*, \(.*\));.*/\#define \1 (*\1)/p" ..\allegro.h alwin.h aintern.h aintwin.h >> rsxdll.h
sed -n -e "s/AL_FUNCPTR(.*, \(.*\), (.*));.*/\#define \1 (*\1)/p" ..\allegro.h alwin.h aintern.h aintwin.h >> rsxdll.h
cd ..\..

echo.
echo Note: this is not a full RSXNT port of the Allegro library. This makefile
echo will create an import library and build all the test programs using RSXNT,
echo but the library code lives in a DLL that is built with MSVC. If you haven't
echo already got the DLL, run "fixmsvc" and then "make install" to build it.
echo Also, the RSXNT makefile doesn't bother to convert the documentation or to
echo copy headers into the djgpp include directory. If you want that, "fixdjgpp"
echo and then "make install" will do it for you.
