/*         ______   ___    ___ 
 *        /\  _  \ /\_ \  /\_ \ 
 *        \ \ \L\ \\//\ \ \//\ \      __     __   _ __   ___ 
 *         \ \  __ \ \ \ \  \ \ \   /'__`\ /'_ `\/\`'__\/ __`\
 *          \ \ \/\ \ \_\ \_ \_\ \_/\  __//\ \L\ \ \ \//\ \L\ \
 *           \ \_\ \_\/\____\/\____\ \____\ \____ \ \_\\ \____/
 *            \/_/\/_/\/____/\/____/\/____/\/___L\ \/_/ \/___/
 *                                           /\____/
 *                                           \_/__/
 *
 *      Configuration defines for use on Unix platforms.
 *      This file really should be generated by autoconf!
 *
 *      By Shawn Hargreaves.
 *
 *      See readme.txt for copyright information.
 */


#ifndef __unix__
   #error bad include
#endif


#include <fcntl.h>
#include <unistd.h>


/* describe this platform */
#ifdef __linux__
   #define ALLEGRO_LINUX         /* todo: use autoconf for this stuff! */
#endif

#define ALLEGRO_UNIX
#define ALLEGRO_LITTLE_ENDIAN    /* todo: might not be true! */
#define ALLEGRO_CONSOLE_OK
#define ALLEGRO_NO_STRICMP


/* describe the asm syntax for this platform */
#define ALLEGRO_ASM_ALIGN     2


/* Linux doesn't have these */
#ifndef O_BINARY
   #define O_BINARY     0
   #define O_TEXT       0
#endif


/* arrange for other headers to be included later on */
#define ALLEGRO_EXTRA_HEADER     "allegro/alunix.h"
#define ALLEGRO_MMX_HEADER       "obj/unix/mmx.h"

