/* _al_file_isok:
 *  Helper function to check if it is safe to access a file on a floppy
 *  drive. This is needed to prevent accessing files on disks A: or B:
 *  when the drive doesn't exist, because that would make DOS bring up 
 *  the "swap disks" message, which is a Bad Thing when Allegro is in
 *  control of the keyboard.
 */
static int _al_file_isok(char *filename)
{
 #ifdef ALLEGRO_DOS

   char ch = utolower(ugetc(filename));
   __dpmi_regs r;

   if (((ch == 'a') || (ch == 'b')) && (ugetat(filename, 1) == ':')) {
      r.x.ax = 0x440E;
      r.x.bx = 1;
      __dpmi_int(0x21, &r);

      if ((r.h.al != 0) && (r.h.al != (ch - 'a' + 1))) {
	 errno = EACCES;
	 return FALSE;
      }
   }

 #endif

   return TRUE;
}









   struct ffblk dta;

void *_al_findfirst(name, attrib)
   errno = findfirst(name, &dta, attrib);
   if (errno)
      return NULL
   return &dta

int _al_findnext(dta)
   errno = findnext(&dta)
   return errno;

_al_findclose(void *)
   free dta

int _al_findattrib(void *)
   return dta.ff_attrib

long _al_findsize(void *)
attribs = FA_RDONLY | FA_HIDDEN | FA_ARCH
   return dta.ff_fsize

long _al_finddate(void *)
attribs = FA_RDONLY | FA_HIDDEN | FA_ARCH
   return (((long)dta.ff_fdate << 16) | (long)dta.ff_ftime);

void *_al_findname(void *)
   return dta.ff_name
